commit 426c3aa3c8a2385f17e37ae73c1e78f072656027
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Jan 16 10:52:12 2013 +0100

    joystick 1.6.2
    
    Signed-off-by: Sascha Hlusiak <saschahlusiak@arcor.de>

commit 8f9342484afbbd26296c627497cc278f600098ac
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Jan 16 11:06:39 2013 +0100

    config: warning in default xorg.conf.d snippet: do not enable by default
    
    see discussion: https://bugs.gentoo.org/show_bug.cgi?id=403003
    
    distributions should not ship the module enabled by default, because a lot
    of users have the joystick module installed without knowing, resulting in
    confusion and bad user experience when trying to play games, the more
    likely usecase when plugging in a joystick.
    
    the default configuration only fits for a limited number of users.
    
    it does not make much sense to automatically enable hotplugging of the
    module without explicit user consent and reviewing of the configuration.
    
    Signed-off-by: Sascha Hlusiak <saschahlusiak@arcor.de>

commit 819ba33c9d7440cd40e1e54a9b1e073ed89353a7
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Oct 6 18:28:53 2012 +0200

    jast_axis: tune accelerated axis transformation to better work with circular axis fields
    
    reference: https://bugs.freedesktop.org/show_bug.cgi?id=42399
    
    joysticks with a rectangular field have a
    corner position of (32768,32768), joysticks with a
    circular field have (23170,23170).
    
    make sure that diagonal movement feels fast. either:
    1) linear
    
      f(32768) ~= f(23170) + f(23170)
      f(32768) ~= a * f(23170)
             a  = 2.0
    
      on circular joysticks, the time needed for xy movement is
      exactly the time needed for x + the time for y separately.
      absolute diagonal travel speed (in cm/s) is 0.707 times as fast,
      which feels pretty slow.
    
      on square joysticks, diagonal travel speed is always 1.41 times
      faster than orthogonal travel speed. time needed for diagonal
      movement is always 0.5 times as long as for orthogonal movement.
    
      the value of a = 2.0 results in a nice, non-linear acceleration.
    
    or
    2) trigonometric
    
      f(32768) ~= sqrt(f(23170)^2 + f(23170)^2))
      f(32768) ~= a * f(23170)
      a = 1.414
    
    on circular joysticks, the absolute pointer travel speed
    (in cm/s) is now the same for both linear and diagonal movement,
    which feels natural. moving diagonally takes 0.707 times the time
    of moving orthogonally.
    
    on square joysticks, values are as in 1)
    
    the value of a = 1.414 results in linear acceleration, which feels
    too slow.
    
    to maintain non-linear acceleration, make sure that:
    
    a >>= 1.414
    
    the following formula achieves results inbetween,
    so it should feel natural on both devices while maintaining a
    nice acceleration:
    
    f(32768) ~= 1.620 * f(23170)

commit 342057bf38e2da46609ed2fa0d3f5fb46c8ed215
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Oct 6 16:18:24 2012 +0200

    backend_evdev: fix scaling overflow for high resolution axes
    
    The module scales all axis values from the kernel to the range of
    -32768 .. 32768, for compatibility with the old joystick kernel module.
    
    The current implementation had an integer overflow, if the axis had a high
    resolution of > 16384, like the popular XBox 360 controller.
    
    This commitmakes the scaling use float instead to fix erratic behaviour
    on high resolution joysticks. The joystick backend was not affected.
    
    Fixes bug: https://bugs.freedesktop.org/show_bug.cgi?id=42399

commit 053405f711512959e95d0a882d69b6cba6405e7d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jan 13 10:56:53 2013 -0500

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is the
    current minimum level required to build X.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit baa96c22e74b5f617b64d9f5ae21c52a4c4fa190
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 3 18:53:00 2012 +0200

    configure: enable debug output code by default
    
    there are rare cases when disabling debug code gives any benefit but the lack of debugging output,
    which needs to be enabled anyway with the DebugLevel option

commit b427ad6066e966f63a0da82e4b0ef3344064f6a1
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 3 18:44:58 2012 +0200

    man: more manpage tuning and polishing

commit 4b0ca090b71e70cc2b5bcd93ed40fc8c40c499fa
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 3 18:44:06 2012 +0200

    config: mention floating option in xorg.conf.d snippet

commit c473c8bd7985441d8264f8f48537d39dbe0c874e
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 3 17:39:55 2012 +0200

    man: mention use cases for when to use the module and when not to

commit 56ebbd899f709b3fae7e382ac3429a4c87867c63
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 3 16:32:36 2012 +0200

    man: some typos and grammar fixes

commit 0303d5418ec7a3825433e308f195fc41fecb9ded
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 2 14:40:05 2012 +1000

    man: point out that the joystick module is not a joystick driver
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Sascha Hlusiak <saschahlusiak@arcor.de>

commit acd398ac712689fb5239410d1da706752aa60a33
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Sep 25 10:57:46 2012 +0200

    silence compiler warnings

commit bdf8fd3f650789d2012ec0cc915729dd1e91346d
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 11 11:45:08 2012 +0100

    joystick 1.6.1
    
    Signed-off-by: Sascha Hlusiak <saschahlusiak@arcor.de>

commit b217fabdef1714ed4898e08de4c2a6b9cc8d4f0f
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Nov 13 20:36:07 2011 +0100

    Copy pInfo->driver to option list to fix hotplugging of keyboard device
    
    udev does copy the Driver line to the list of options, but when manually
    specifying the driver in xorg.conf, the option "Driver" is unset. Because we
    do hotplug a sub-device from within the core device, we need the "Driver"
    option to be present in the list.
    
    This should fix archlinux bug #23577:
      https://bugs.archlinux.org/task/23577
    
    Thanks to Malek for coming up with a fix.
    
    Signed-off-by: Sascha Hlusiak <contact@saschahlusiak.de>

commit 411c1838456c055d3f911c54ed58bb11a6bf0da3
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Nov 13 18:04:25 2011 +0100

    man: valuators are not added automatically

commit 9bbb5775be4e7c72b6d51c20be33f5ed3fb7301a
Merge: b607c4e 7ccf3a7
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Nov 13 17:10:09 2011 +0100

    Merge branch 'master' of ssh://git.freedesktop.org/git/xorg/driver/xf86-input-joystick

commit 7ccf3a75292d71104c976bf6afb389cccaac1a7d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 31 14:33:08 2011 +1000

    Deal with opaque input option types.
    
    ABI 14 made the InputOption type opaque, move the existing code to ifdefs
    and use the new function calls otherwise.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit e0193debf8f5a72b0a06977d5dea3365ad9cafbe
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 31 14:27:22 2011 +1000

    Fix option type for option duplication
    
    xf86OptionListDuplicate() duplicates an XF86Option list, not an InputOption
    list.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b607c4ebeea4122694f02ba87f06e4cdb23114f1
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Oct 16 00:47:52 2011 +0200

    label buttons and axes
    
    Buttons are labeled "Button %d", starting with 0 and representing the button in X _after_ mapping.
    Mapping can be changed while running so the labels will be constant.
    
    Axes are labeled "Axis %d", starting with 1, representing the _physical_ axis that reports the valuator
    data. The raw valuators can't be dynamically mapped, the first two valuators always are labeled "Rel X"
    and "Rel Y", representing the aggregated post-calculation data from all axes.
    
    Signed-off-by: Sascha Hlusiak <saschahlusiak@arcor.de>

commit b3b62328cf3f36c20c54a298f8a921e6eef42c4d
Author: Devin J. Pohly <djpohly+xorg@gmail.com>
Date:   Sat Sep 3 19:00:07 2011 -0400

    unify capitalization of joystick properties
    
    the axis keys high/low properties were inconsistently capitalized,
    leading to potential confusion as to why one works but not the other.
    
    Signed-off-by: Devin J. Pohly <djpohly+xorg@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 204dcb86368b011824fc5006f87b9e394d03a394
Author: Terry Lambert <tlambert@chromium.org>
Date:   Fri Jul 15 17:23:22 2011 -0700

    Return proper default for unknown values in pInfo->device_control.
    
    Signed-off-by: Terry Lambert <tlambert@chromium.org>
    Reviewed-by: Stephane Marchesin <marcheu@chromium.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bd6c54fe672a913334bfba1ca5dc0f2e0f1f1152
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Apr 20 20:55:24 2011 +0200

    joystick 1.6.0
    
    Signed-off-by: Sascha Hlusiak <saschahlusiak@arcor.de>

commit f1b8ef560049f1bb1bca9caa12c1529c9f992a09
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Apr 20 20:48:28 2011 +0200

    Updated man page to reflect latest changes

commit aa78e01edabb27d1b5dcd4ffe2be32878a45e342
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Apr 20 20:47:33 2011 +0200

    Added xorg.conf.d example snipped
    
    Not installed by default, left for distributors.
    
    Copy 50-joystick-all.conf to /etc/X11/xorg.conf.d/ and modify to your needs.

commit 29d3745e73d266db173828f40231cb78ec1c383a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Apr 20 19:48:28 2011 +0200

    Revert "config: fdi file must be installed in $(datadir)/hal/fdi/policy/20thirdparty"
    
    The fdi file was never meant to be installed by default but exists merely as an
    example and documentation for distributors who may decide to ship it by default or
    install it in share/doc/...
    
    This reverts commit 1d67a2da26fa3ba0b8f5498da89c01aeaa551515.

commit 4358209e7e4383b4ebdec93cc116bb1c21d373a7
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Apr 20 19:33:10 2011 +0200

    Free pInfo->private only once to fix server crash on unplug (bug #35391)
    
    The hotplugged keyboard device and the main device share the same pInfo->private data
    and the same jstkCoreUnInit, so the data is freed twice. Furthermore, since the keyboard
    device will delete itself, we must not delete it from within the deletion of the main device.
    
    Freeing pInfo->private is done by the main device, hopefully done independently of the order
    in which the two devices will be removed by the server.
    
    Should fix bug #35391

commit 3f03fa76f8fb152210c6ed80191f34e428af2c00
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 6 21:02:49 2011 +1000

    joystick 1.5.99.901
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8c7ad54d6d869bb4202aee8408c72ed72bf929a7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 14 17:00:28 2010 +1000

    Support input ABI 12
    
    This commit adds support for input ABI 12, consisting of a number of
    changes:
    - requires an X server with an ABI of 12
    - valuators have a per-mode setting
    - new PreInit prototype.
    
    Because of the new PreInit prototype, the hotplug system has been switched
    around too (should have probably been done in a separate commit before,
    but...).
    
    The old hotplug mechanism added a separate ModuleInfoRec for the keyboard
    part of the driver. This isn't feasable for InputClass configurations, the
    driver part may get overwritten.
    
    On entering the driver, after checking a few default values, hotplug the
    keyboard device (wacom-style) and let it initialize. Because NIDR calls
    DEVICE_INIT and DEVICE_ON the keyboard must initialise the private pointer
    and pass it back to the original device.
    
    Call order is:
    NewInputDeviceRequest
     - jstkCorePreInit
       - jstkKeyboardHotplug
         - NewInputDeviceRequest
           - jstkCorePreInit
             immediately return jstkKeyboardPreInit()
           - keyboard DEVICE_INIT
           - keyboard DEVICE_ON
         return keyboard device
       - copy keyboard->priv to joystick->priv
       - finish jstkCorePreInit as normal
       - joystick DEVICE_INIT
       - joystick DEVICE_ON
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit f2050e6be5b6b3f8c429060992cc3ead0cfe86c1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 14 16:51:15 2010 +1000

    Get the option values from pInfo instead of from the IDevRec.
    
    Doesn't matter which one we take, but ABI 12 dropped the IDevRec.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit df0567d2fa2d67a00dce78a89803e8925d20e324
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 14 16:48:50 2010 +1000

    Don't call xf86OptionListReport()
    
    All options used by the driver will show up in the log anyway.
    And new xserver versions will call this for debugging purposes for us.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 135aaf612bcb591ae1692ae47b2d36a814230cbe
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 14 15:19:08 2010 +1000

    Purge use of XI_PRIVATE macro.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 29a486ba56bc6279297a716b018ba24880680e82
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 14 15:14:47 2010 +1000

    Drop close_proc, conversion_proc, reverse_conversion_proc
    
    All three aren't called by the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 0674bdfdb67e9195af7cb5982ae2eda0fa03ce57
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 14 15:09:32 2010 +1000

    Don't handle history_size in the driver.
    
    This has been handled in the server for quite a while now, just initialize
    with the defaults and ignore it otherwise.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 39205d76cb45242ee9b47594ec5be7edc509edc7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 14 15:08:49 2010 +1000

    Require server 1.9, drop pre-ABI 11 support.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 074dc4a2a06aebae144afc21de5c4f8bc365937d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 14 15:04:44 2010 +1000

    Remove usage of XI86_POINTER_CAPABLE flag.
    
    Flag was write-only for a number of server generations already.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 107e4b14d90d06864247c7878ee0cc5f59e4bc5a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 14 14:47:31 2010 +1000

    Replace LocalDevicePtr with InputInfoPtr
    
    Both typedefs describe the same struct, LocalDevicePtr has been removed with
    input ABI 12.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit a23a4a77c7157c516a8194e05e9f07b64d8e8089
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 14 15:03:45 2010 +1000

    Bump to 1.5.99

commit cd6b81d377a5d541100996fa4e2ac2decffe65f1
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Sun Oct 17 21:26:16 2010 -0400

    Code cleanup, bad structure initialization.
    
    The InputDriverRec data structure in xserver/hw/xfree86/common/xf86Xinput.h
    no longer contains an integer refCount member; as per commit
    d568221710959cf7d783e6ff0fb80fb43a231124.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 38363bde5d94c9a8f163fde31ede067f6d0d1669
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Sun Oct 17 21:25:56 2010 -0400

    Deprecated code cleanup.
    
    Replace calls to deprecated functions (Xfree(), Xcalloc(), Xmalloc(), etc)
    with calls to standard dynamic memory functions (free(), calloc(), malloc(),
    etc) in driver code.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d209590c06e7a4df9d921ff53cb9792e9beb1aeb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 11 22:00:45 2010 -0400

    COPYING: replace stub file with Copyright notices
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1d67a2da26fa3ba0b8f5498da89c01aeaa551515
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 11 21:50:34 2010 -0400

    config: fdi file must be installed in $(datadir)/hal/fdi/policy/20thirdparty
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 09ca64e76568868e8f9c7bf48e8858669fc5aaa7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 11 21:47:23 2010 -0400

    config: EXTRA_DIST is redundant
    
    sdkdir provides the install path for sdk_HEADERS primary
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 55783bf0cd5e0ae29b008dd3fc3a47c66eabffbd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 11 17:46:37 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Use $(AM_V_GEN)$(SED) to support silent rule
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 342908f4d06c8000789d659b9f8871e56812b78e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 11 17:41:59 2010 -0400

    config: fix warnings, m4 quoting and layout
    
    Fix some m4 quoting
    Fix some autoconf warnings
    Regroup statements per section
    Add comments
    Remove unused NDEBUG define
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e98f0d0349222a4d981086f944398d32a548d953
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Apr 18 15:37:29 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c6908579b56b7d8c478ebe8c07e2a68a30c5de44
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Apr 18 15:36:32 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ab6308ed177fc341ba0cca3e4a9048f858d80007
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Apr 18 15:35:45 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements at the top.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2252c78fb11b09c688b1b2cc82a542fc2470b8e2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Apr 18 15:26:16 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 25722aa12bfbb5675a02d7d8520ae83fdc5735c8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Apr 18 15:24:59 2010 -0400

    config: remove AH_TOP autoheader statement
    
    The generated config.h does not need to include xorg-server.h
    for the content it provides.
    Add #include <xorg-server.h> in .[hc] files as needed.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3de065d6822206695c0aee2fd68cd9db8b2f3063
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:07 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 30d1089cffc9afd9fd468a6c30989e77c7884248
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:08:26 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit efe94ccfb4505f18a44b39ada256df8ba16b3ec5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Dec 28 15:05:39 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ad0abb97a19e311988deffd385ca69e96bd106a4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 260c441981c1fe1c6e076bde1a6a26328e6b5675
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit 877f13a6056cc8b17a73a5d4c839cd8b30065f9b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 9fc986bd5dc3bd1741b1ad4e4da152edfaf928d9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:20 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit cd4e5ab0c64f477c343ab161ec309c42b9737450
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit eaf8d1a1d87af9f67ca3e3d0436bb9d9a7cfc17a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Oct 31 12:41:15 2009 +0100

    Bump to 1.5.0
    
    Signed-off-by: Sascha Hlusiak <saschahlusiak@arcor.de>

commit 657c01c8ebb9e0571d498356e6d3d03917199328
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 7 09:24:39 2009 +0200

    Revert "add shave support"
    
    This reverts commit 1fa414dd6f32d68378bc9d571c439a603c2e7888.

commit 565de79d42350106c9d62f8f0939a0c35138989d
Merge: 729b5bc 1fa414d
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Fri Oct 2 11:32:40 2009 +0200

    Merge branch 'scancodes'
    
    Conflicts:
    	configure.ac

commit 1fa414dd6f32d68378bc9d571c439a603c2e7888
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Fri Oct 2 11:31:14 2009 +0200

    add shave support
    
    clean up compile output

commit 5fdab9ca49474d78f2ebfb27aa931565ce985e08
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Fri Sep 11 18:23:26 2009 +0200

    Fix NULL pointers in rmlvo

commit 462aae4db1302bc5a89ccf4a1db25e1c09a04132
Merge: b2de71f 5e2b2a6
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Fri Sep 11 17:54:13 2009 +0200

    Merge branch 'scancodes' of ssh://deepthought/home/sascha/develop/xorg/xf86-input-joystick into scancodes

commit 729b5bc6e3dba76ff763de27ec4c6e4c0933a9cd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 11 13:53:55 2009 +1000

    joystick 1.4.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e8f22493833e33683e659ae348d9f58a43838252
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 11 13:55:50 2009 +1000

    Fix typo in configure.

commit b2de71f4366c61a165562a573b30e1edd336ba5f
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Jun 23 23:51:32 2009 +0200

    Support for axis labels; fix build on master
    
    The first two axes are always REL_X and REL_Y. All other axes and buttons
    are set to 'None', proper labeling will follow.
    
    Thanks to Peter for the heads up.
    
    Signed-off-by: Sascha Hlusiak <saschahlusiak@arcor.de>

commit 5e2b2a631063974ea6de7796f39106b85b2db31d
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Apr 15 00:29:44 2009 +0200

    fix manpage and examples to reflect recent key changes

commit bf8626967263ee92d45759c58dc5bcc42a57176b
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Apr 14 23:25:44 2009 +0200

    Property support for scancodes
    
    Allows setting scancodes for keys using input-properties

commit 57bf11bc03a04fd68bb3ee2cd5375f04326e5c28
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Apr 11 14:25:07 2009 +0200

    configure.ac: this is 1.4.99
    
    Major changes in configuration call for a major release.

commit 7f6e390fb1f8ca006b2a995877128f3de0a445ba
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Apr 11 14:19:58 2009 +0200

    Use preset keyboard layout instead of custom generated keymap.
    
    Restored compatibility with recent xkb changes and xorg-server-1.7.
    Keys are configured now using scancodes instead of keysyms. Depends on
    set keymap; people could write custom layouts.

commit 4fbfcb17d6f6e7e44633f97e48b3ece8769758f0
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Apr 11 13:13:16 2009 +0200

    Remove parsing of keysyms.
    
    Key options are expected to be scancodes/plain numbers now.

commit 7c677b3d26a1a21f15e8acc96f57f05659265204
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Apr 11 13:12:17 2009 +0200

    Remove ks_tables.h
    
    No more keysym parsing

commit 8075ee4808a9c9eab25fb8716498208b895e6287
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Apr 11 13:11:24 2009 +0200

    Remove parsing of keysyms
    
    Change of configuration semantics again. Keys are specified in scancodes instead of keysyms.

commit e1710072396a97369ef71b1fd1738ad092a5e902
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Mar 19 21:14:22 2009 +0100

    Fix compiler warning about stray INT8-CARD8 conversion

commit 7af61c78fd48ea9cc2442fb55570ba0d9f37f8c8
Merge: bc430cc 4b9aafd
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Mar 19 21:13:13 2009 +0100

    Merge branch 'pwm'

commit bc430cc2aacdcda45ddc38d457b84ff040be6a8c
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Mar 19 21:08:30 2009 +0100

    Missing initialization of button amplify
    
    Always initialize button[]->amplify with 1.0

commit dca19bde2bdd275744e9182dd49a2f2dd81f8c81
Merge: 6f2a211 c6217b5
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Mar 19 08:36:10 2009 +0100

    Merge branch 'master' of sascha:develop/xorg/xf86-input-joystick

commit 4b9aafd82bf78e86b2b2ddc78c37d73ccc7c25d5
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Mar 18 18:13:12 2009 +0100

    Mention PWM mode in man page

commit 6f2a211b7c3b45e8de9a90835fb7f1a24635c8e5
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Mar 18 17:39:07 2009 +0100

    Fix build on FreeBSD with USB2
    
    Including dev/usb/usb_ioctl.h fixes missing declaration
    of USB_GET_REPORT_ID on FreeBSD-Current.

commit c6217b5849b1c2680a9a8c29ca26b3468955b1c1
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 1 21:06:52 2009 +0100

    Comment float properties in joystick-properties.h
    
    Signed-off-by: Sascha Hlusiak <saschahlusiak@arcor.de>

commit 367c32bab57d69d85e95f4e76e2f1c8aaab45189
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 1 21:00:18 2009 +0100

    Support for float properties
    
    Signed-off-by: Sascha Hlusiak <saschahlusiak@arcor.de>

commit 4978e78e7c49bc0aabf5c7ade4223c2529a9f046
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Feb 19 23:40:58 2009 +0100

    Add PWM key generation when axis in accelerated mode
    
    When axis is in accelerated mode and keyhigh/keylow is set,
    the deflection of the axis will be linked to the _percent of time_ the key
    will be down. Full deflection will set the key permanently down (old behaviour).
    
    50% deflection will result in the key being  50ms down and 50ms up.
    75% deflection will result in the key being 150ms down and 50ms up.
    etc.
    Minimum interval is 50ms, maximum is 600ms.

commit d4bb86ddb0ba570de0f501cd0edb13861456b711
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Feb 19 23:37:46 2009 +0100

    Don't set axis.oldvalue in backend
    
    The value needs to be set where it's needed, like in timers.

commit 4ec4376522b1c393ee44f25adcd28b12d7cadff6
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Feb 17 20:18:05 2009 +0100

    Fix for sparse warning of uninitialized variable
    
    If axis is inside deadzone, 0.0 should be assumed.

commit b70b1f7d827b87ceb63110c781b01175363fb7d0
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Feb 4 18:23:00 2009 -0200

    Janitor: gcc 4.5 and sparse warnings.
    
    It is still required a patch in the X Server sdk to correct some
    remaining warnings. Isn't it amazing that <X11/extensions/XKBsrv.h>
    and $sdkdir/xkbsrv.h both use the #ifndef _XKBSRV_H_ include guard?
    
    Signed-off-by: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>

commit 76b82a41a6733ef5a2a89dd370357320ea78792a
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Feb 4 18:10:26 2009 -0200

    Janitor: make distcheck, .gitignore.
    
    The correction for make distcheck uses the same solution proposed
    for xf86-input-evdev, that uses the new configure option --with-sdkdir.
    
    Signed-off-by: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>

commit 4671904035d4da4d112f53cce8781bcc77b0d0db
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Feb 2 00:10:42 2009 +0100

    Use InitKeyboardDeviceStruct instead of nonexistant XkbInitKeyboardDeviceStruct
    
    Realizing XkbInitKeyboardDeviceStruct has been removed, we do need to use InitKeyboardDeviceStruct.
    This breaks custom keymaps on ABI_XINPUT_VERSION >= 5.
    
    Hopefully this can be reimplemented later.

commit 3984947ada771619f21b511507a2fb9cca3ed645
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:23:09 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit fb632ba226725a7101c5c1a3bfc2201905532b6f
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Jan 26 20:48:00 2009 +0100

    Fix build on master. All hail XKB!

commit f62159e4dfc22550ec2de3eb4fd46027d85a1e88
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:14:12 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit 43e2f0526894cb5eacac8730a21ccdf415421d72
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Dec 28 18:57:36 2008 +0100

    Prepare for 1.4.0 release

commit fd80f1c2b5b91e0260dc28e9b5e259025ea379e5
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Dec 28 17:32:44 2008 +0100

    Matched comments in joystick-properties.h with previous commit

commit f81b9077d13b614262556a7401068f016fe2b365
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Dec 28 17:28:50 2008 +0100

    Export JSTK_* constants with joystick-properties.h

commit 79028fc80fe7cbd452a18b4ddf92c328a1fe1393
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Dec 28 17:24:08 2008 +0100

    Rename constants for better distinction
    
    @jstk.h:
        TYPE_* -> JSTK_TYPE_*
        MAPPING_* -> JSTK_MAPPING_*

commit 38b4c9b3bd814296971abfe6ef01f531367a43bb
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Mon Oct 13 10:46:10 2008 +1030

    properties: handle checkonly flag in SetProperty.
    
    If checkonly is TRUE, don't touch any values, just check vor validity of the
    data.
    
    Signed-off-by: Sascha Hlusiak <saschahlusiak@arcor.de>

commit 0da072fde42d899b56cc7b05d7b3db2815ac3b9a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 1 23:14:22 2008 +0200

    Install joystick-properties.h and xorg-joystick.pc for clients.
    
    Let's clients be aware of properties made available by the driver.

commit 3c2a323a3a14bc27a7a5d9f4470b4abd83c424ec
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 1 21:43:49 2008 +0200

    Option for per-axis valuators. Defaults to off for all axes.
    
    Old: Each axis had an extra valuator, starting with 2 (0 and 1 are pointer movement)
    New: Add "valuator" to axis option to give it an extra valuator of range -32768 to 32768.
    Default: Off for all axes, since rarely used (and broken anyway right now).

commit 432805db42b1f7d69131406c8b58571d224e1c47
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Sep 30 19:02:17 2008 +0200

    Remove XKB calls since we don't make use of it anyway.
    
    No error messages because of missing xkb rules, yay.

commit 8a5b8e08aa27c5a33982ab293c68c026cba789c5
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Sep 30 18:35:27 2008 +0200

    Do not require randrproto

commit ba8ea1799cf8911c22b0d90a865cb6e215b23e1c
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Sep 30 18:13:19 2008 +0200

    Support for setting Button Number property
    
    does not change the button map, which is assumed to be default. Buttons can still be
    reordered using xmodmap.

commit 5c72d146865982dfa727d469d789ceaa6ac33b8d
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Sep 30 18:08:04 2008 +0200

    Replace dynamic button map with static one
    
    Saves some configuration efforts but caps logical button numbers to BUTTONMAP_SIZE=32.
    Makes property support much easier.

commit 03175f968c4177de2208a2d8e73f9c8106630a6b
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Sep 30 00:35:01 2008 +0200

    Name all properties uppercase
    
    Just looks better

commit 34ca7d26830b5c58a35b9aec7f7cdd6d4446c456
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Sep 30 00:30:24 2008 +0200

    Do not accept fewer values anymore when setting properties
    
    Supplied number of values have to match the numbers of axes/buttons exactly. Fewer values are not accepted
    anymore, because the omitted information get lost. That way we ensure that the properties are always complete
    when requested by clients.

commit e1c3b5e3041c2fda5d4080f24aa988399cb793bd
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Sep 30 00:17:41 2008 +0200

    Exporting num_axes values instead of MAXAXES
    
    Only export the number of axes/buttons in properties that we actually have.
    No need to export MAXAXES values, if we don't support them.

commit ab79083b13bcf2810f57ae26444d179f6323ec03
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Sep 30 00:01:38 2008 +0200

    Save probed number of axes/buttons for joystick backend

commit e8432b7f8e8c515faa55d25f6028b7e5e7ce9c7c
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Sep 30 00:01:16 2008 +0200

    Probed number of buttons shall not exceed MAXBUTTONS
    
    Same for axes.

commit 06c607ebc10945342728dd3552eee6b894f55c51
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Sep 29 23:47:53 2008 +0200

    Compile fix on BSD

commit f4be58b1ea017d5f17aeba228b53c30a1f8609bf
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Sep 29 23:36:12 2008 +0200

    Probe device once on INIT and re-use found information.
    
    Makes reopening a device on vt-enter much smoother and throws less warnings.
    Remember number of found axes and buttons.

commit b56085c73d8780d8353380ecbc4b9cdb3f085b2f
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Sep 29 22:56:29 2008 +0200

    Export number of configurable buttons/axes as readonly properties.
    
    This number does not need to match the number of valuators/buttons.

commit ebf31b61b3d1d9ad0048429a75b99bf5952ad6b8
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Sep 28 16:41:17 2008 +0200

    jstk_key.c: missing include
    
    xf86optionListDup is defined in xf86Optrec.h

commit 3794afd9784480fa503cbffa16382c0e38e1fa8b
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Fri Sep 26 17:19:29 2008 +0930

    Adjust joystick properties to new property API.
    
    ConfigureProperty doesn't exist anymore, ChangeProperty has two parameters
    less. SetProperty handler must return Status.
    Mark all properties as non-deletable.

commit 6e635e394a7423734d36d99dc744203b759a8d42
Merge: f04e3c8 a1b87df
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Sep 16 20:58:40 2008 +0200

    Merge branch 'input-properties'
    
    Conflicts:
    	src/jstk.h
    	src/jstk_key.c

commit a1b87df15dd2ad2a5593fed198b32053be5825cc
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Sep 15 19:29:07 2008 +0200

    Set type_name of slave keyboard device to XI_JOYSTICK as well.

commit 57d1201f584a74b9d6822e55ff66a0786de4ea2b
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Sep 15 19:27:52 2008 +0200

    Set type_name to XI_JOYSTICK. Let's not claim we are XI_MOUSE.

commit f04e3c822229b51e5a4048d7e91fa34f69e361e9
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Sep 15 19:24:40 2008 +0200

    Set type_name to XI_JOYSTICK. Let's not claim we are XI_MOUSE.

commit 282fc3068ed734e099efe272c740e6c8e5495176
Author: Christoph Brill <egore911@egore911.de>
Date:   Sun Sep 7 11:11:50 2008 +0200

    Make "less joystick.man" work

commit 838dfffe9833b52626d5a528fc08d2838438ee46
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Sep 6 19:05:29 2008 +0200

    Initialize PtrFeedbackClassDeviceStruct for pointer device

commit f691491bc96d1c7944f4036dde4090f11066aea4
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Sep 6 19:03:52 2008 +0200

    Silence warning about implicit cast

commit 911986c4c702979fe48d3a2c18e238710a513449
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Sep 6 17:26:32 2008 +0200

    Always add second input device for keys only
    
    Having one device for both mouse and keyboard events breaks with MPX and custom keymaps, because the keymap is
    copied to the core pointer instead of the core keyboard.
    
    Easiest fix for that is to have two separate input devices. One single instance of the driver will now create
    a second input device that has only keyboard capabilities. It shares all the config with the master and will
    be removed when the master device is removed.
    
    The creation of this second device is a little hack-ish. I hope things are done right.

commit 5a3ecea272a980df0ac4c40826cf095399e7b022
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Sep 6 13:08:51 2008 +0200

    make dist hook: git-log > git log
    
    I somehow don't have those nice aliases. This should make it work on every system.

commit 9d42b7f972f58a7cf97b8a57e1b6b85984c6476a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Sep 6 12:58:41 2008 +0200

    Update man page concerning custom driver options through hal
    
    Warning is obsoleted by xorg-server-1.5

commit 235f5d12489f5f5f662e8f7b617108a01fdffed0
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Sep 6 12:55:08 2008 +0200

    Bump to 1.3.3

commit 30333076a39dd50e6356789cd03c49712b43427c
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Sep 6 12:40:12 2008 +0200

    Add ChangeLog to .gitignore

commit 579670d163d7ab2623d975ac85f6626a5499bf32
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Sep 6 12:39:12 2008 +0200

    Remove duplicated code in jstkInitKeys
    
    Too much copy'n'paste

commit 17c4f79d50ab69f954fec5a8daa327c4a1a64597
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Sep 6 12:38:16 2008 +0200

    Adding empty ctrlProc to prevent crashing of X when running without XKB
    
    X calls ctrlProc without checks for NULL in some places, especially when running "X -kb". Adding
    that function back to be safe.

commit ea36125872ad4411f3529392761bff6e35006ce4
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Sep 1 00:05:07 2008 +0200

    Adding empty ctrlProc to prevent crashing of X when running without XKB
    
    X calls ctrlProc without checks for NULL in some places, especially when running "X -kb". Adding
    that function back to be safe.

commit c39d709366332bd2d1ef306a0b801333f6cd3f7a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Aug 31 19:24:38 2008 +0200

    Remove duplicated code in jstkInitKeys
    
    Too much copy'n'paste

commit 28c1dad7be2419a1ffa7b5f0897e88a1ccac36f5
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Aug 31 00:42:39 2008 +0200

    Added valid-values-information to properties
    
    Show user, what cryptic numbers are valid for axis type, axis mapping and button mapping.

commit eb866c65372fd880e5ffa80318cdb6dcf8c86e30
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Aug 31 00:30:11 2008 +0200

    Typo in valid values for property "Generate Key Events"

commit 63fd6fdd9c012e0017e310d22cfcb45a2a741547
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Aug 31 00:28:37 2008 +0200

    Property support for axis type, axis mapping and button mapping
    
    Added prototypes for unimplemented properties.

commit 13813e0982e5274e2ef6d9ea167ebffbea9dbd9c
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Aug 23 23:38:57 2008 +0200

    Add ChangeLog to .gitignore

commit 0410505147a416844fae6dcf6f9ea782f1b74863
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Aug 23 23:31:33 2008 +0200

    Expose device properties for mouse_enabled, keys_enabled and axes deadzones.
    
    Deadzones takes up to MAXAXES 32 bit numbers. If only one value is supplied, it is applied to all axes the same. If multiple values are
    supplied, they are applied to the axis they stand for, all other values are untouched.

commit e64b4ebcd121a9080d1da39e5037182df7edfdbb
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Aug 23 22:02:54 2008 +0200

    Add support for device properties.
    
    Only exported property for now is DebugLevel.

commit 5e91f0bdd4fa529d1d5f0f8ffc87aaf9fbec2a88
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Aug 23 21:18:41 2008 +0200

    Remove stale comment

commit a4d96de5fdbeedec1f196c2b5f4e5b498bf8e31f
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Aug 23 17:01:40 2008 +0200

    Fix check for BSD dev/usb/usbhid.h (needs dev/usb/usb.h).

commit 7d6f9a32ab7e6e3e8d241fa3a230ffcf91dec468
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Thu Aug 14 15:41:37 2008 +0930

    Fix build. xf86Version.h -> xorgVersion.h

commit 1d67c9d801a6304267f8a821af13328fda95e497
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Jun 19 11:10:02 2008 +0200

    Added more examples for the x11_options properties of xorg-server-1.5
    
    Since xorg-server-1.5 you can pass arbitrary options using the x11_options namespace. No additional
    hacks are neccessary to make hal hotplug the joystick driver.

commit 10203ddef9adbd27f2a9ac51d98703308f86d982
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 26 22:09:32 2008 +0930

    Check for XINPUT ABI 3.

commit 0961ffa84825f3f32d9c973f054400ab9d2b7c08
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Apr 27 19:16:29 2008 +0200

    Bumped to version 1.3.2

commit c3e3fb8795c19a292ca37ab4d67b308fbb20911b
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Apr 9 15:09:46 2008 +0200

    Display evdev bus/vendor/product/version in separate line

commit edcc8c26dfa3f89672a66c47665d89c7c9200b13
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 30 13:21:22 2008 +0200

    Fixed keymap size to 8-256 to prevent crash
    
    Newer xservers don't like keymaps that are smaller than 248 keys.

commit fac2c42a01cf030a05d2305a01700f3677f6a8dc
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 30 13:05:35 2008 +0200

    Clear complete keymap instead of only the first element

commit a44e15ad7576b77b48ecb13aae1faeb2ec25d922
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 30 13:03:57 2008 +0200

    Fixed off-by-one in keymap generation code

commit 2aeaf7b7f3a5117db5cde9f704a2c612fbab75c8
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 30 12:44:39 2008 +0200

    Allow '+' as separator for key mapping as in "key=Alt_L+Tab"

commit ce01777488a0f1f9ba2d22d7315aebd431e9cb65
Author: Matthieu Herrb <matthieu@bluenote.herrb.net>
Date:   Sat Mar 8 23:02:08 2008 +0100

    Makefile.am: nuke RCS Id

commit 94cc174cd80952418614dc9b2fbc95ad21b8598c
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Jan 6 18:58:47 2008 +0100

    Added "StartMouseEnabled" and "StartKeysEnabled" options
    
    With the disable-mouse and disable-keys button mapping the event generation can be toggled.
    These two options will start X with the event generation already disabled, so it can be
    enabled later with the appropriate button mapping. Default: Event generation is enabled.

commit c968077dcb3e7dec4886e9bc60faa63e750695e2
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Dec 31 20:21:30 2007 +0100

    Changed copyrights to include year 2008

commit 4bf88166207c79662fba45773c300f05ae5e00d7
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Dec 9 19:22:59 2007 +0100

    Changed default deadzone in manpage from 1000 to 5000

commit 1f61022d4d08c1dc07717576bcb31ace03d93060
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Dec 9 18:18:45 2007 +0100

    Increased default deadzone from 1000 to 5000

commit 847c36e1134e7fe5f9af69f49b8ed12d2aa0cb85
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Dec 9 11:54:38 2007 +0100

    Typo in man page
    
    Last axis of default axis configurations was #3 instead of #7

commit 01637abd2b059923f5c41ab80c80ab93579cbe9b
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Fri Dec 7 00:17:56 2007 +0100

    Mentioned hotplugging and hal policy in man page

commit 47cd8141f9bf3e69d5418f3b5f448366f500cf0d
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Dec 6 23:55:20 2007 +0100

    Bumped to version 1.3.1

commit c463776b8b35e6e721128a7348e088d306c4ee02
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Dec 6 23:48:49 2007 +0100

    Added example hal policy file for input hotplugging of joysticks
    
    Hal policy config/50-x11-input-joystick.fdi is not installed by default and you probably
    don't want to.

commit 833454bd7bea04924b85105bf38ed57dd2b5e5c2
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Dec 6 23:22:43 2007 +0100

    Looking for Path parameter besides Device (used by HAL+input hotplug)

commit dca42ff25dde490073a798dc873b048c4bfeb0f4
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Dec 6 23:22:06 2007 +0100

    Fixed default button mappings
    
    Default button mappings were set to buttons 4, 5 and 6 instead of 1, 2 and 3.

commit fba24465bc4867568cbefc3d554bae756abc1204
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Dec 6 22:56:26 2007 +0100

    Return NULL on device configure fail instead of unconfigured device, which made X segfault.

commit 2fba11efcafdbc2002bc7083a2b74cb7d908b3a9
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Dec 6 22:28:12 2007 +0100

    New: evdev backend

commit 78616fb8174e93a2c3c523bd425acc33a4b8773c
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Dec 5 22:17:36 2007 +0100

    Mentioned multiple backends in man page

commit 9e5f4e6fccb8c9e1b6c4dfccb39f1f0c89f79b60
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Dec 5 21:33:27 2007 +0100

    Fixed implicit declaration warnings because of missed header files

commit 43790502b5d1077fc74e81b7eedd9c880673463c
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Dec 5 21:30:12 2007 +0100

    Renamed backend files from *_jstk.{c,h} to backend_*.{c,h}

commit 032138d7712f6d1e6a50bf83a2dde911b7f3d752
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Dec 5 21:22:50 2007 +0100

    Added backend selection code.
    
    From all available backends they are tried in the order: evdev, linux joystick, bsd
    usbhid. This needed to separate the backends which were usually used to replace each
    other.

commit 37aae4731320d4e1301f17a065bc5f1d5a3d1596
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Dec 5 18:00:12 2007 +0100

    configure.ac: Checking for available kernel backends instead of OS
    
    The configure script now checks for availability of several backends like Linux's
    joystick, Linux's evdev, BSD's usbhid. This way several backends can be compiled in and
    used with the same binary module.
    Backend selection code still missing!

commit f581e2b0daf6c79c74728ab2e21a0836ff252a65
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Nov 11 18:02:42 2007 +0100

    Add check for kbproto in configure script
    
    On systems without kbproto installed, the XKB headers might be missing and the build fails. Fixes Debian bug
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=448770

commit c9e359fda611778da578f3699b8f2f4c9122852c
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Oct 27 18:50:08 2007 +0200

    Added missing headerfiles to Makefile.am
    
    Files StrKeysym.h and ks_tables.h were missing. Sorry, guys.

commit 8668189c26956922a9a10a80289162cfd5741bdf
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Oct 27 15:38:09 2007 +0200

    Debug output of AutoRepeat option

commit 68e4850b28c34d8e7a41fe2682a115183e3a22d4
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 10 18:00:59 2007 +0200

    Added AutoRepeat option to specify rate and delay for key events.
    
    So far the autorepeat settings of xorg were used, thus sharing the settings with all other keyboard. This is still the default but the
    rate and delay can be changed per device, not conflicting with the settings of other keyboards.

commit 15870ef9bf57475ad79b839613fabd951daceac6
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Oct 6 17:28:59 2007 +0200

    Use XStringToKeysym to parse symbolic keys defined in xorg.conf.
    
    Users can map buttons to "key=space" or "key=Left" to map them to XK_space or XK_Left. As
    fallback the numerical expression still works.

commit 0897d8acdecf30f9496578019487263a22ed984b
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Oct 6 17:07:19 2007 +0200

    Integrated XStringToKeysym from libX11 in the module.
    
    To look up Keysyms from Strings the method XStringToKeysym comes in handy, which would
    require linking against libX11. By integrating the method in the module, this can be
    avoided until similar functionallity get's included in xorg-server.

commit 9e8f8d54bd300b562b9fe0a1b1e3bf8d45773651
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 3 22:46:30 2007 +0200

    Updated manpage to reflect keymap changes

commit c2270222a88f8152c28568e4212ccc9937dccbbd
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 3 22:13:37 2007 +0200

    Prepared for 1.3.0 release. Raised dependency of xorg-server to at least 1.3.99.901 for new keymap
    behaviour.

commit a62abe36b8b0af91539cf7e7dfa90795a73434bb
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 3 21:37:25 2007 +0200

    Readded own keymap for Joystick keys. This changes meaning of key, keylow and
    keyhigh values in xorg.conf from scancodes to keysyms!
    
    New xorg-server 1.4 fixes a lot of keyboard things. This makes it necessary to
    provide an own mapping rather than using the mapping of the current keyboard. A
    keymap is built dynamically from the options provided. The options now need to
    provide a keysym for each button instead of the scancodes of another keyboard
    attached keyboard.

commit 65009ab568500fac9980239a752d346a0d9b5ff1
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Oct 3 00:33:09 2007 +0200

    Added little check if device is enabled before disabling it

commit 13c850fe77b0a9a8a719bedfa1439e96972a730b
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Aug 12 13:01:16 2007 +0200

    configure.ac: prepared for 1.2.3 release

commit 3651cc8ee6257a5c8f098c603b892aff45ee1e68
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Aug 12 12:49:59 2007 +0200

    Added --enable-debug option to configure script
    
    The options --enable-debug and --disable-debug control if additional debugging messages shall be included in the binary, that can made
    visible with the "DebugLevel" option in the xorg.conf. Default: Enabled.

commit ca6968c1800ed30aec78b1e474c2b0ede77cd301
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Aug 12 00:04:35 2007 +0200

    Explained new key generation features for axes in man page.
    
    Explained the behaviour of accelerated vs relative axes that are mapped to keys. Added example to man page.

commit e24622b48e4304a7b8f9de5bdec0e0633821fa7b
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Aug 11 23:27:57 2007 +0200

    Key autorepeat added for axes with mode=relative
    
    If axis is set to relative and keylow and keyhigh are assigned, autorepeat for these keys is emulated with a speed relative to the
    value of the axis (keydown and keyup are generated frequently). A factor for this autorepeat speed can be assigned by
    "axis=<factor>key".
    If mode is "accelerated", the axis behaves like a button: only one keydown and one keyup, X does autorepeat for the key.

commit 38297b06226f115ca4a25557bcb7f8c936424abc
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Aug 11 22:32:54 2007 +0200

    Fixed button mapping to an axis needing amplify value.
    
    Button mapping without amplify value like "axis=x" used uninitialized value for amplify,
    making an amplify value mandatory. With no amplify value, 1.0 is assumed.

commit dd396931b76c682f03323566f28b248afb1cb79d
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Aug 11 22:22:49 2007 +0200

    Move subpixel movement from global to per axis/button.
    
    Instead of using one global subpixel variable for all axes and buttons, the axis/button
    struct for each axis/button holds it's own subpixel variable. This is neccessary to
    implement mapping of relative axes to keys, which needs to save own "subpixel" values.

commit b685505f1411ffa5f326aa3ba9e5cd5e172e5c5e
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Aug 11 20:47:13 2007 +0200

    Reformatted whole source to 4-space-indents
    
    Large parts of the code were written with 2-space-indents only.
    Upgraded to 4-space indents to improve readability. Sorry for touching almost
    every line. :-S

commit 32c6ba4c292957e40ec349a4bb993b6ad92f290b
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Aug 8 15:00:15 2007 +0200

    Added example about mapping axes to keys to manpage.

commit fd83fbc114fe1755a1c85b5e1dd98b1b84ff668d
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Aug 8 14:52:27 2007 +0200

    Added "keylow" and "keyhigh" option to axes, which generates key events when the axis is moved.
    
    One can specify scancodes for negative and positive axis movement. When the axis is moved out of the deadzone,
    keydown events are once generated, and keyrelease events are generated when the axis returns to 0.
    One can map a pad to the four arrow keys to play games that do not support a joystick.

commit 20bcf86f2abdeb0fd6cf2f9cc4fb96befc0c5cbc
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Aug 8 14:49:29 2007 +0200

    Added "oldvalue" to axis struct, containing the exact last "value" of the axis

commit f4c1519bffdb12f4337261a8a9a9b63a4fa19cad
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Aug 8 12:58:30 2007 +0200

    Added note about SendCoreEvents keyword to ServerLayout in manpage.

commit 382c116887b10e453a76ed540d4d42f44d4e0f6a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Jul 11 03:18:07 2007 +0200

    Added missing section about valuators to manpage
    
    The manpage was missing detailed information about the reported valuators per axis.
    Made minor changes of style and grammar.

commit 68df98082ca13d586891d67d03f7c426e6b4467c
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Jul 7 23:43:13 2007 +0200

    Prepared for release 1.2.2

commit 321e4395486b66b2b7be0510494f48b2a03a4cc8
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Jul 7 23:33:32 2007 +0200

    Reverted commit a24a5eeb30b224abf2bb512619fe5ab7284fa252 (prepare for keymap)
    
    The files and methods will be added back when it is time. So far there is no need for jstk_key.* files and dummy methods.

commit 1e72e8111b637a0dd784077b09c220d53a133520
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Jul 7 23:08:45 2007 +0200

    Mark float constants with proper f suffix

commit dc4c0a5e0d585647f649e41f80a859a2fdac4a26
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Jul 7 22:57:29 2007 +0200

    Removed abundant debugging messages
    
    Debugging messages about loading and unloading the module were printed
    every time, before debug_level could be set. Removed the messages
    completely, because they use nobody except me.

commit 2b54ee1b023bbce422429a0efe8a5958c0d08847
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Jul 7 22:52:24 2007 +0200

    Added notes to the manpage

commit a24a5eeb30b224abf2bb512619fe5ab7284fa252
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Apr 30 00:37:27 2007 -0400

    Prepared for proper usage of keymap for device

commit f0ab39f9d200cdf1387bf3ffa1583bfdddd1d427
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Apr 29 23:24:40 2007 -0400

    Fixed dynamic button mapping properly.
    linux_jstk: Button events only reported, when actually changed
    
    Button number and button map reported to X are now calculated correctly.

commit 2bbc03ef668bc450fd50ecbbaa6f19398e994f74
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Apr 29 21:59:54 2007 -0400

    Removed unnamed unions to compile with gcc 2.95
    Only report correct amount of buttons to xorg-server-1.3
    
    Call InitButtonClassDeviceStruct with right number of buttons and right mapping. Works correctly
    since xorg-server-1.3.

commit 461b57cdb14e6bc2fe27f5351c2c3bd66aa1786a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Apr 24 22:23:43 2007 -0400

    Makefile.am: Rule to autogenerate ChangeLog from git on make dist

commit 25b5234948b6231577d44c5ad97a85d3a82b514a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Fri Apr 20 21:09:10 2007 -0400

    Fixed wrong button number reported by bsd_jstk.c.
    Fixed typo in reporting button and axes numbers in bsd_jstk.c

commit e1871e21955d5403c2751e83b5c00b2fa4886f22
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Apr 19 12:39:53 2007 -0400

    Fixed accelerated axis movement not working the first time after startup
    
    Modified used algorithm to produce slower and smoother acceleration

commit 44aafff9e99ff02091580978a2dd7306eb9ad910
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Apr 16 23:01:31 2007 -0400

    Considering JS_EVENT_INIT events as real events again
    
    We want to perform actions on JS_EVENT_INIT events, so we don't miss anything and follow the state of
    the device

commit 8cafcf33ec1dcffa0ecbe2647ebb89c879989d4c
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Apr 15 23:48:52 2007 -0400

    Fixed possible double close of device in case of error.
    Opening device in O_RDONLY mode, instead of O_RDWR.

commit 1640d08d168241fd6168090841ef0d811d9dc3c2
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Apr 15 23:18:39 2007 -0400

    Got rid of JoystickDevRec->axes and JoystickDevRec->buttons, since not really needed.

commit 470acec6f440cf3cb1dc5ddcb056f717d74ccbef
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Apr 15 22:51:35 2007 -0400

    Cosmetic changes to structs, got rid of XFree86LOADER blocks
    
    The XFree86LOADER is mandatory, without it it wouldn't compile anyway, so checks were deleted.
    Named structs in jstk.h again
    Added unions for mapping-relative data, given values more telling names

commit 886e418b89ac673df3e4be0f7a4b1b8c648cad80
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Apr 12 18:12:29 2007 -0400

    Wrapped enums and structs in typedefs
    
    Removed xisb.h include, since we are not going to need it.

commit fa32161bc5b63baa22b78f25ec6daa4f8e53aa7a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Apr 11 10:03:23 2007 -0400

    Replaced xf86CheckXXXOption with xf86SetXXXOption, Fixed possible NULL pointer dereference
    
    Fixed possible NULL pointer dereference in xf86DeleteInput,
    reformatted code in bsd_jstk.c

commit f7f63037fd01433c325b4bb45e76d8a21dd327c0
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Apr 7 17:30:09 2007 -0400

    Added USB-HID backend for *BSD
    
    Added checks for platform in configure.ac and Makefile.am

commit fcc717eb281328cd2722ba8fe2395e6719b88d8a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Apr 7 16:49:04 2007 -0400

    Added extra device dependend data for different platforms.
    
    Renamed linux_jstk.h to jstk_hw.h

commit 8d9507e694d4ef36f7409ffc14c476af609ec524
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Apr 7 16:23:34 2007 -0400

    Fixed correct calculation of absolute axis position when centered
    InitButtonClassDeviceStruct: fixed to MAXBUTTONS buttons since we don't have device data yet

commit 4821113eb34f7bf55a601d59eaeddbfab67183fa
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Apr 7 15:10:13 2007 -0400

    Typo in linux_jstk.c: Info about number of axes and buttons was interchanged

commit 7676d3c519a9190e3c7f9ed2c9abec8e95752c36
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Apr 7 14:10:01 2007 -0400

    Fixed wrong type in ioctl call for detecting buttons and axes
    
    The ioctl call for reading the number of buttons and axes expects an unsigned char as parameter,
    not an int. Worked in Linux but not in FreeBSD. Changed to unsigned char though and added a check,
    if buttons and axes are more than MAXBUTTONS/MAXAXES.

commit d64b3bf18f09d893a219732225f3b327bd70e785
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Fri Apr 6 20:29:21 2007 -0400

    Fixed DEVICE_ON still returning Success on error opening device, resulting in a crash
    Removed jstkOpenDevice call from jstkCorePreInit

commit 48c2570228f95d27c24aae4609c00d0ebd349654
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Fri Apr 6 20:27:05 2007 -0400

    Fixed remaining opened filedescriptors, if ioctl fails
    Showing Device information on every open

commit 50c183833ea57ecc2ddd6d94ca84b89fb36af7b3
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Fri Apr 6 20:10:30 2007 -0400

    Don't return NULL on jstCorePreInit fail, fixes X crash.

commit a2e6c7430e0d25d2d27f9a4a1d4fa9ba2a77d768
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Apr 1 21:16:10 2007 -0400

    Check for Joystick API Version >=1 instead of >=2

commit 72ba1b382f2321c8740bcf8d4666902bf774b340
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Apr 1 16:12:12 2007 -0400

    jstkVersionRec: Use macros for module version. Fixes #10498

commit 76bea36fe8160e59d35a43f7062044f272b54c2f
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Mar 31 22:40:50 2007 -0400

    Added missing include files to fix warnings about implicit declarations

commit 6d88594bd9c6729e01a5cb20447af7fc111ae53a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sat Mar 31 22:04:46 2007 -0400

    Prettyfied code, added comments

commit d6f3937e7db27a6bfbdd57dfe6a9f9f63e419710
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Fri Mar 30 23:03:39 2007 -0400

    Added missing <stdio.h> and <string.h> to fix warnings

commit 7c709f6a8a8e234b7b7122238bd2227caeaf17c8
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Fri Mar 30 14:25:13 2007 -0400

    Added range for absolute axis configuration
    Completed man page

commit 70b1bba65880c27da13b77accc6f971c5cabca95
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Mar 29 16:01:12 2007 -0400

    Made movement within deadzone be reported only one

commit 28e4d50c1230ec2f405a73a851f6aff747efe213
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Mar 29 15:42:05 2007 -0400

    More use of DBG output

commit 1cdd0e74988f2d06de0d57ac42574b9302392438
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Mar 29 15:14:25 2007 -0400

    Allowed axis being actually not mapped to an action
    Changed default configuration to the minimum
    Fixed that unmapped axis generated movements

commit 32f06e29bfe82e85eabace80e60a20c32e1a11ba
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Mar 26 18:24:42 2007 -0400

    disable-keys now really disables sending of keys

commit 0a0b5a3e24701734c55679a7c05e022e01d831f8
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Mar 26 18:05:41 2007 -0400

    Added code to generate key eventy

commit 423a0e79266734e4dc2427673401c65f7e783305
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Mar 26 17:44:05 2007 -0400

    jstkParseButtonOption: Added "key=<keycode>[,<keycode>]" Option

commit a2487f95fe923624b4cb83f52f91b80d7b703db8
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Mar 26 17:42:18 2007 -0400

    ReadJoystickData: Prevent from reporting JS_EVENT_INIT as events

commit 7d3941e47bfe52d0519ef5cc1da8254bfac8f65e
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 25 20:10:10 2007 -0400

    Added "amplify", "disable-mouse", "disable-keys", "disable-all" options to code and manpage

commit 9c12f5c9d9dac3a2129ab3ace2492d043f6740f6
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Mar 22 16:43:18 2007 -0400

    Removed "amplifier" axis option
    Added amplifier as factor to the "axis" option
    Updated manpage

commit 13cd3d91963c8d9175b1538a521644b039d70fad
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Mar 22 15:42:49 2007 -0400

    Added axis option for buttons

commit 373459c4c5e1e5d7ebfa7d5a8ecd014c39f1244e
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Mar 22 14:54:21 2007 -0400

    Put options parsing to different files

commit 58abdbe99b3d086822182b55cc1f5cfc2bd370be
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Thu Mar 22 14:01:01 2007 -0400

    Allowed negative amplify value for reverting axis direction

commit 35d8ee1bb0fee84dd2bb3882ec169552d6477a39
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Wed Mar 21 22:36:46 2007 -0400

    Went back to one timer for all axes
    Added "accelerated" axis mode
    Added "absolute" axis mode
    Added "amplify" axis option

commit 3aa12466efa3c597694157f887ca27e99ff5466a
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Mar 20 22:47:27 2007 -0400

    Splitted axis code to another file

commit b05facffb89d4d0608e9e74e5286b243230ae737
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Mar 20 17:18:34 2007 -0400

    Added axis options

commit 549217f505ab6b29189514a5ec2dd93e464c30fb
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Mar 20 12:01:54 2007 -0400

    Added by-value axis handling

commit 5cb52bfcbc607bb2146931e9646749de1c9c0ce4
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Mon Mar 19 19:46:13 2007 -0400

    Man page matches current features of the driver

commit 77c5baae7236093433f04c598615793f81445026
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 18 23:34:41 2007 -0400

    Added Option to map joystick buttons to mousebuttons

commit b918c3430417d167066ab5190e1f6ad76930586b
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 18 19:49:33 2007 -0400

    Made driver report button events
    Introduced empty manpage

commit 0a8db6856da6a21594a39b7e0b067a78621624d7
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 18 01:57:02 2007 -0400

    added .gitignore to git

commit 629d5faa8b2877fcc2a4c7cd78ec8c2dc35a831d
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 18 01:56:04 2007 -0400

    moved .cvsignore to .gitignore

commit e3b851cf372d72ab547f703892162de865a3058e
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 18 01:54:49 2007 -0400

    Splitted to multiple files

commit af7edfd1363598b48c4e12500316e9f689dbb1ca
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Sun Mar 18 01:53:43 2007 -0400

    Stripped everything down to the minimum
    Added generic data structs
    Splitted to multiple files
    Moved to newer joystick.h interface
    Added read_input function

commit 3ca9b73dd791f7f4cf2cd8ba3fb22077839e13e6
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Mar 13 13:58:59 2007 -0400

    Prepared for new release 1.1.1

commit 161ef066f4daed3b555415a8aa4f50bddf71780e
Author: Sascha Hlusiak <saschahlusiak@arcor.de>
Date:   Tue Mar 13 10:51:45 2007 -0400

    Changed driver initializations to make it actually work with xorg 7.2.

commit b785d61b96d6f16a96aa4bc60777aea444760b8a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jan 8 19:07:36 2007 -0800

    renamed: .cvsignore -> .gitignore

commit f0c85f1ffc9be543c09f3e0ff598407a8028813c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jan 8 19:07:06 2007 -0800

    Fix warning: Undefined function PRIVATE()

commit 57ab5f2de3bd4de1987b436822acdb7e7ef23dc5
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 17:40:06 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 1.1.0.

commit c6d37e34b58991b68cccb2d098cce963e68ffd09
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:57 2005 +0000

    Update package version for X11R7 release.

commit 8a2817e0868d7e2e9805e6bd57fad084bcc5f6cb
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:25:50 2005 +0000

    Stub COPYING files

commit 714ce894fc8d456049a1a6f65792873dfde634e8
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:14 2005 +0000

    Update package version number for final X11R7 release candidate.

commit df603768f3b2c41c2fc3d6dff7df0c658508ef53
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:30 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 49b3bbf7ef024db87e00e60351118bf1b6b24713
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:31 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 6d91b69c1cc17cc07e8b477b4ac43fdbd224a0f7
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 2 02:16:05 2005 +0000

    Remove extraneous AC_MSG_RESULT.

commit 5c3c4b1dedddce558ce718267b46afe67ba39953
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Nov 29 23:29:56 2005 +0000

    Only build dlloader modules by default.

commit 6e2adafe15fdcc0a21da07a1aade0a2dc1b15b81
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:04:07 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 6556e4ad51488418ce007ea77a3f921df5ff87a4
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:49:04 2005 +0000

    Add .cvsignores for drivers.

commit 893fe68cca5ca0d354d6b0ae7e44b06c07d5bf61
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:15:12 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 9bae7c922063cd9fa0e57a1765a309586c36b092
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:08:50 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit 005b12af9722f32f4cfcbcdda76611b29413899b
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:00 2005 +0000

    Update package version number for RC1 release.

commit 668cb548e8f5e55db2680a94a0ed18da5d102941
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Oct 18 15:46:36 2005 +0000

    Do the following to make the drivers pass distcheck:
    - Only define EXTRA_DIST when there are actually man pages to be processed
    - Add missing man pages to keyboard and ati drivers EXTRA_DIST

commit aac3f60f1bfce0238698a76acb717f30f8c9303f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:01:51 2005 +0000

    Use @DRIVER_MAN_SUFFIX@ instead of $(DRIVER_MAN_SUFFIX) in macro
        substitutions to work better with BSD make

commit 5e97ce410435e126486eabdd6bf28ca82abf3150
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Oct 17 22:57:28 2005 +0000

    More 1.7 braindamage: define EXTRA_DIST in terms of @DRIVER_NAME@ instead
        of indirectly

commit dc59b349eac072ba2d97138fcbba72e5aa0c0299
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 00:08:57 2005 +0000

    Use sed & cpp to substitute variables in driver man pages

commit 699f0d0028bdcbbb7fa5f5937a5acb48309d50e8
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 18 09:03:39 2005 +0000

    Update autogen.sh to one that does objdir != srcdir.

commit ff835930aee87f0cc3db60d5e03b0adf6b18d05f
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Aug 10 14:07:23 2005 +0000

    Don\'t lose existing CFLAGS in all the input drivers and some of the video
        drivers

commit f5f5615ee52b78841c40b4b59aac7f5350929be3
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:41 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit a52f5ddc44da8c1256340020650763ecf7340ce9
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jul 13 20:03:22 2005 +0000

    Make the module dir configurable

commit 08ce1285ab33d3c00dffb221aed4ed0156b36f78
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jul 13 02:21:00 2005 +0000

    Update all input drivers to pass distcheck

commit 76a456f24caba545cafbc823c59f369cd72ae74b
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jul 13 02:18:12 2005 +0000

    Change input drivers to get keysym's from <X11/keysym.h>.

commit e094c4324e5a4683a90cc529402933adcf843e50
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Jul 12 06:15:09 2005 +0000

    Build skeletons for input drivers. Should basically work.

commit 3cb7f8c1d250f6d8bf3b28052aa53cb6c8e467e7
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 11 02:37:59 2005 +0000

    Prep input drivers for modularizing by adding guarded #include "config.h"

commit 910512c61fbc6aac3c75bd1d6687e70e4195a17f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 08:53:45 2005 +0000

    Change <X11/misc.h> and <X11/os.h> to "misc.h" and "os.h".

commit 865d0119123f13b8f774036d0d736448b939fce0
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Jul 1 22:43:22 2005 +0000

    Change all misc.h and os.h references to <X11/foo.h>.

commit 102abb601266da7211859beefc61d6d0ccfe2dc3
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jun 25 21:17:02 2005 +0000

    Bug #3626: _X_EXPORT tags for video and input drivers.

commit dbbd0b4393ac40d3aa79d6ceeb23bfb6c05b7b41
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Apr 20 12:25:34 2005 +0000

    Fix includes right throughout the Xserver tree:
    change "foo.h" to <X11/foo.h> for core headers, e.g. X.h, Xpoll.h;
    change "foo.h", "extensions/foo.h" and "X11/foo.h" to
        <X11/extensions/foo.h> for extension headers, e.g. Xv.h;
    change "foo.[ch]" to <X11/Xtrans/foo.[ch]> for Xtrans files.

commit 61aeb5654bfa67ce225c1b102e9beb2aceb5e1a1
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:03 2004 +0000

    Merging XORG-CURRENT into trunk

commit 32ff75600605a2c4fbbe5dabc286e587158c72d2
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:33:52 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit b02ae094bcc146f2a6ba601c28bc3541663fdaa0
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:33 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit fe91525deeaca922efa0880bfa742f79499bb418
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:00 2004 +0000

    readding XFree86's cvs IDs

commit b48cb5e830d5dff825b89606eb7e7f4fde1e0c22
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:34 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 65408fc0e4e67fb9ce27f186434b1eacfbae3644
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:56 2003 +0000

    XFree86 4.3.0.1

commit 958562709a025168e7144b46ce128b8a928bce22
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:56 2003 +0000

    Initial revision
